%define module	beautifulsoup4

Name:		python-%{module}
Version:	4.1.3
Release:	%mkrel 1.1
Summary:	The Screen-Scraper's Friend

Group:		Development/Python
License:	MIT
URL:		http://www.crummy.com/software/BeautifulSoup/bs4/
Source0:	http://pypi.python.org/packages/source/b/%{module}/%{module}-%{version}.tar.gz

BuildRequires:	python-devel
BuildRequires:	python-setuptools

BuildArch:	noarch

%description
Beautiful Soup sits atop an HTML or XML parser, providing Pythonic 
idioms for iterating, searching, and modifying the parse tree.

%files
%doc *.txt
%{py_puresitedir}/%{module}-%{version}-py%{pyver}.egg-info
%{py_puresitedir}/bs4

#--------------------------------------------------------------------

%package -n python3-%{module}
Summary:	The Screen-Scraper's Friend
Group:		Development/Python

BuildRequires:	python3-devel
BuildRequires:	python3-setuptools

BuildArch:	noarch

%description -n python3-%{module}
Beautiful Soup sits atop an HTML or XML parser, providing Pythonic 
idioms for iterating, searching, and modifying the parse tree.

%files -n python3-%{module}
%doc README.txt TODO.txt
%{py3_puresitedir}/%{module}-%{version}-py%{py3ver}.egg-info
%{py3_puresitedir}/bs4

#--------------------------------------------------------------------

%prep
%setup -q -n %{module}-%{version}

%build
%{__python} setup.py build

%{__python3} setup.py build

%install
%{__python} setup.py install --skip-build --root %{buildroot}

%{__python3} setup.py install --skip-build --root %{buildroot}


%changelog

* Wed Jun 26 2013 david.david (MLO Team) <david.david> 4.1.3-1.1.mga3
+ Revision: 1.1
- rebuild package for python3
- added package python3-beautifulsoup4
- update to MIT license

* Mon Jan 28 2013 neoclust <neoclust> 4.1.3-1.mga3
+ Revision: 392858
- imported package python-beautifulsoup4

